Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream Class Reference

## Public Attributes
int | remoteUserUid
Constants.VideoSourceType | sourceType
String | imageUrl
int | mediaPlayerId
int | x
int | y
int | width
int | height
int | zOrder
double | alpha
boolean | mirror

## Detailed Description

The video streams for the video mixing on the local client.

## Member Data Documentation

## ◆ remoteUserUid

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.remoteUserUid

The ID of the remote user.

Note
  Use this parameter only when the source type of the video for the video mixing on the local client is `VIDEO_SOURCE_REMOTE`.

## ◆ sourceType

Constants.VideoSourceType io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.sourceType

The source type of video for the video mixing on the local client. See #VIDEO_SOURCE_TYPE.

## ◆ imageUrl

String io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.imageUrl

The URL of the image.

Note
  Use this parameter only when the source type of the video for the video mixing on the local client is `VIDEO_SOURCE_RTC_IMAGE_PNG / VIDEO_SOURCE_RTC_IMAGE_JPEG / VIDEO_SOURCE_RTC_IMAGE_GIF`.

## ◆ mediaPlayerId

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.mediaPlayerId

MediaPlayer id if sourceType is MEDIA_PLAYER_SOURCE.

## ◆ x

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.x

The horizontal displacement of the top-left corner of the video for the video mixing on the client relative to the top-left corner (origin) of the canvas for this video mixing.

## ◆ y

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.y

The vertical displacement of the top-left corner of the video for the video mixing on the client relative to the top-left corner (origin) of the canvas for this video mixing.

## ◆ width

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.width

The width (px) of the video for the video mixing on the local client.

## ◆ height

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.height

The height (px) of the video for the video mixing on the local client.

## ◆ zOrder

int io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.zOrder

The number of the layer to which the video for the video mixing on the local client belongs. The value range is [0,100].

- 0: (Default) The layer is at the bottom.
- 100: The layer is at the top.

## ◆ alpha

double io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.alpha

The transparency of the video for the video mixing on the local client. The value range is [0.0,1.0]. 0.0 means the transparency is completely transparent. 1.0 means the transparency is opaque.

## ◆ mirror

boolean io.agora.rtc2.LocalTranscoderConfiguration.TranscodingVideoStream.mirror

Whether to mirror the video for the video mixing on the local client.

- true: Mirroring.
- false: (Default) Do not mirror.
  Note
    The paramter only works for videos with the source type `VIDEO_SOURCE_CAMERA_PRIMARY / VIDEO_SOURCE_CAMERA_SECONDARY`.